import { IField, IGenericField } from './IField';
import { IFieldError } from './IFieldError';
import { FieldRegistry } from './FieldRegistry';
export interface IFieldInputProps {
    registry: FieldRegistry;
    index: number;
    field: IField;
    value: any;
    values: Array<{}>;
    attempt: boolean;
    onValueChange: (field: IField, value: any, error: IFieldError) => void;
}
export interface IGenericFieldInputProps<T> extends IFieldInputProps {
    field: IGenericField<T>;
}
export interface IFieldInputComponent extends React.ComponentClass<IFieldInputProps> {
}
